%global debug_package %{nil}

Name:           lazydocker
Version:        0.23.3
Release:        1%{?dist}
Summary:        Lazier way to manage everything docker

License:        MIT
URL:            https://github.com/jesseduffield/lazydocker
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  git-core
BuildRequires:  golang >= 1.18
%if 0%{?fedora} || 0%{?el7}
BuildRequires:  go-md2man
%endif

%description
A simple terminal UI for both docker and docker-compose, written in Go with the
gocui library.

Memorising docker commands is hard. Memorising aliases is slightly less hard.
Keeping track of your containers across multiple terminal windows is near
impossible. What if you had all the information you needed in one terminal
window with every common command living one keypress away (and the ability to
add custom commands as well). Lazydocker's goal is to make that dream a reality.


%prep
%autosetup -p1


%build
go get
go build \
    -ldflags "-X main.version=%{version}" \
    -o _build/%{name}

%if 0%{?fedora} || 0%{?el7}
  # Man page
  go-md2man -in README.md -out %{name}.1
%endif


%install
install -Dpm 0755 _build/%{name} %{buildroot}%{_bindir}/%{name}

%if 0%{?fedora} || 0%{?el7}
# Man page
  install -Dpm0644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1
%endif


%files
%license LICENSE
%doc README.md CONTRIBUTING.md
%{_bindir}/%{name}
%if 0%{?fedora} || 0%{?el7}
%{_mandir}/man1/*.1*
%endif


%changelog
* Sun May 26 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.23.3-1
- chore: Update to latest release

* Fri Oct 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.23.1-1
- chore(update): 0.23.1

* Wed Oct 11 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.23.0-1
- chore(update): 0.23.0

* Thu Aug 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.21.1-1
- chore(update): 0.21.1

* Fri Jul 21 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.21.0-1
- chore(update): 0.21.0

* Thu Oct 13 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.19.0-1
- chore(update): 0.19.0

* Wed May 11 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.18.1-1
- chore(update): 0.18.1

* Wed May 11 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.18-1
- chore(update): 0.18

* Mon May 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.17.1-1
- chore(update): 0.17.1

* Mon May 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16-1
- chore(update): 0.16

* Sun Sep 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12-2
- build: Rebuild for >= f35

* Fri Mar 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12-1
- build(update): 0.12

* Fri Nov 13 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10-1
- build(update): 0.10

* Thu May 28 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9-2
- Update to 0.9.0

* Sun Feb 02 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.0-1
- Update to 0.8.0

* Thu Dec 05 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.6-1
- Initial package
